SELECT
  item_barcode,
  name,
  unit_price :: float,
  TO_CHAR(bought, 'YYYY-MM-DD') AS bought,
  sales_units,
  available,
  location_name,
  location_id,
  group_name,
  item_group AS group_id,
  tax_group AS tax_group_id
FROM garfield.inventory_items
LEFT JOIN garfield.locations ON location = location_id
LEFT JOIN garfield.inventory_item_groups ON item_group = group_id
WHERE (%(location_id)s IS NULL OR location = %(location_id)s)
  AND (name ILIKE CONCAT('%%', %(search_term)s, '%%') OR item_barcode = %(search_term)s)
ORDER BY bought DESC
